> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Usage

> Retreives the products usage. Usage is updated daily shortly after midnight UTC

Get resource usage information for the project. Usage data is updated daily after midnight UTC.

### Query Parameters

* `resource_types`: Filter by resource types
* `regions`: Filter by regions
* `start_date`: Start date for usage data
* `end_date`: End date for usage data


## OpenAPI

````yaml GET /projects/{id}/usage
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{id}/usage:
    get:
      tags: []
      summary: Usage
      description: >-
        Retreives the products usage. Usage is updated daily shortly after
        midnight UTC
      parameters:
        - name: id
          in: path
          description: Project id
          required: true
          example: e91bb876-3358-466d-a49a-4fb524629906
          schema:
            type: string
            format: uuid
        - name: resource_types
          in: query
          description: Resources
          required: false
          example:
            - persistent-ssd
            - a40.1x
          schema:
            type: array
            items:
              type: string
        - name: regions
          in: query
          description: Regions
          required: false
          example:
            - us-northcentral1-a
          schema:
            type: array
            items:
              type: string
        - name: start_date
          in: query
          description: Start date
          required: false
          example: '2024-06-10'
          schema:
            type: string
        - name: end_date
          in: query
          description: End date
          required: false
          example: '2024-06-16'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        billable_metric:
                          type: string
                        date:
                          type: string
                        project_id:
                          type: string
                        quantity:
                          type: number
                        region:
                          type: string
                        reservation_id:
                          type: string
                        resource_type:
                          type: string
                required:
                  - items
              examples:
                '1':
                  summary: Success
                  value:
                    items:
                      - billable_metric: gpu-hours
                        date: '2022-07-01'
                        project_id: d8f58dfd-dd86-4ee4-8f01-643e6d0f15bb
                        quantity: 2.123
                        region: us-northcentral1
                        reservation_id: d8f58dfd-dd86-4ee4-8f01-643e6d0f15bb
                        resource_type: a40.1x
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````